<!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
  <head>
    <meta charset="utf-8" />

    <!-- Set the viewport width to device width for mobile -->
    <meta name="viewport" content="width=device-width" />

    <title>Ordr: Rstaurant Mnu Systm</title>

    <!-- Included CSS Files (Compressed) -->
    <link rel="stylesheet" href="css/bootstrap.css">
    <link rel="stylesheet" href="css/foundation.css">
    <link rel="stylesheet" href="css/app.css">
  </head>
  <body>
      
    <script type="text/x-handlebars" data-template-name="application">
        <div class="row">
            <div class="twelve columns">
                <h1>Ordr</h1>
                <hr>
                <p>{{outlet}}</p>
            </div>
        </div>
    </script>

    <script type="text/x-handlebars" data-template-name="index">
        Hello, Ember!
    </script>

    <script type="text/x-handlebars" data-template-name="tables">
        <div class="row">
            <div class="four columns" id="tables">
                {{template "tableMenu"}}
            </div>
            <div class="eight columns" id="order">
                {{outlet}}
            </div>
        </div>
    </script>

    <script type="text/x-handlebars" data-template-name="tables/index">
        <h2>Please select a table</h2>
    </script>

    <script type="text/x-handlebars" data-template-name="tableMenu">
        <h2>Tables</h2>
        {{#each table in controller}}
        {{#linkTo "table" table class="panel six columns"}}{{table.id}}{{/linkTo}}
        {{/each}}
    </script>

    <script type="text/x-handlebars" data-template-name="table">
        <div class="row">
            <div class="three columns">
                {{render "food"}}
            </div>
            <div class="nine columns">
                <h2>Table <span>{{id}}</span></h2>
                {{render "tab" tab}}
            </div>
        </div>
    </script>

    <script type="text/x-handlebars" data-template-name="tab">
        {{controller}}
        <ul id="customer-tab">
        {{#each tabItem in tabItems}}
            <li><h3>{{tabItem.food.name}} <span><button class="btn btn-mini" {{action "removeItem" tabItem}}><i class="icon-trash"></i></button></span> <span>${{money tabItem.cents}}</span></h3></li>
        {{else}}
            <li><h3>Click a food to add it</h3></li>
        {{/each}}
        <li id="total"><h3>Total <span>${{money cents}}</span></h3></li>
        </ul>
    </script>

    <script type="text/x-handlebars" data-template-name="food">
        <ul id="menu">
            {{#each food in controller}}
            <li>
                <a href="#" {{action "addFood" food}}>
                    <img {{bindAttr src="food.imageUrl"}}>
                    <p>{{food.name}}</p>
                </a>
            </li>
            {{/each}}
        </ul>
    </script>

    <script type="text/x-handlebars" data-template-name="work">
        {{controller}}
        <div class="twelve columns">
            <span class="two column small-size">Customer Name</span>
            <span class="two column small-size">Vehicle</span>
            <span class="two column small-size">Advisor</span>
            <span class="one column small-size">Status</span>
            <span class="one column small-size">RO#</span>
            <span class="one column small-size">Tag#</span>
            <span class="two column small-size">Opened</span>
            <span class="one column small-size">Promised</span>
            <hr/>
            {{#each item in controller}}
                <span class="two column small-size">{{item.customerName}}</span>
                <span class="two column small-size">{{item.vehicle}}</span>
                <span class="two column small-size">{{item.advisor}}</span>
                <span class="one column small-size">{{item.status}}</span>
                <span class="one column small-size">{{item.ro}}</span>
                <span class="one column small-size">{{item.tag}}</span>
                <span class="two column small-size">{{item.opened}}</span>
                <span class="one column small-size">{{item.promised}}</span>
                <br/>
            {{/each}}
        </div>
    </script>



    <script src="js/libs/jquery-1.8.3.min.js"></script>
    <script src="js/libs/handlebars-1.0.0.rc.2.js"></script>
    <script src="js/libs/ember.js"></script>
    <script src="js/libs/ember-data.js"></script>
    <script src="js/app.js"></script>
  </body>
</html>
